package com.discovergy.apiclient;
import com.github.scribejava.core.builder.api.DefaultApi10a;
import com.github.scribejava.core.model.OAuth1RequestToken;

public class DiscovergyAPI extends DefaultApi10a {

	private static final String AUTHORIZE_URL = "https://api.discovergy.com/public/v1/oauth1/authorize?oauth_token=%s&email=%s&password=%s"; // OK
	private static final String REQUEST_TOKEN_RESOURCE = "https://api.discovergy.com/public/v1/oauth1/request_token"; // OK
	private static final String ACCESS_TOKEN_RESOURCE = "https://api.discovergy.com/public/v1/oauth1/access_token"; // OK

	private final String user;
	private final String password;

	public DiscovergyAPI(String user, String password) {
		this.user = user;
		this.password = password;
	}

	@Override
	public String getRequestTokenEndpoint() {
		return REQUEST_TOKEN_RESOURCE;
	}

	@Override
	public String getAccessTokenEndpoint() {
		return ACCESS_TOKEN_RESOURCE;
	}

	@Override
	public String getAuthorizationUrl(OAuth1RequestToken requestToken) {
		return String.format(AUTHORIZE_URL, requestToken.getToken(), user, password);
	}

}
